;##############################################################################################################
; Inno Setup Install script for HYDROGRv50
; http://www.jrsoftware.org/isinfo.php
; Allan CORNET
; This file is released into the public domain
;##############################################################################################################
; modify this path where is HYDROGRv50 directory
#define BinariesSourcePath "C:\_JUL\zzgis\HYDROGRv50";
#define HYDROGRv50_version "5.0"
#define CurrentYear "2009"
#define HYDROGRv50DirFilename "HYDROGRv50"
;##############################################################################################################
[Setup]
; Debut Donnes de base  renseigner suivant version
SourceDir={#BinariesSourcePath}
AppName=HYDROGR
AppVerName=HYDROGR version 5.0
DefaultDirName={userdocs}\{#HYDROGRv50DirFilename}
InfoAfterfile=readme.txt
LicenseFile=license.txt
WindowVisible=true
AppPublisher=Cemagref
BackColorDirection=lefttoright
AppCopyright=Copyright  {#CurrentYear}
Compression=lzma/max
InternalCompressLevel=normal
SolidCompression=true
VersionInfoVersion={#HYDROGRv50_version}
VersionInfoCompany=Cemagref
;##############################################################################################################
[Files]
; Add here files that you want to add
Source: loader.sce; DestDir: {app}
Source: etc\HYDROGRv50.quit; DestDir: {app}\etc
Source: etc\HYDROGRv50.start; DestDir: {app}\etc
Source: macros\buildmacros.sce; DestDir: {app}\macros
Source: macros\lib; DestDir: {app}\macros
Source: macros\names; DestDir: {app}\macros
Source: macros\*.sci; DestDir: {app}\macros
Source: macros\*.bin; DestDir: {app}\macros
Source: sci_gateway\c\*.*; DestDir: {app}\sci_gateway\c
Source: src\c\*.*; DestDir: {app}\src\c
Source: tests\*.*; DestDir: {app}\tests; Flags: recursesubdirs
;Source: includes\*.h; DestDir: {app}\includes; Flags: recursesubdirs
;Source: locales\*.*; DestDir: {app}\locales; Flags: recursesubdirs
Source: demos\*.*; DestDir: {app}\locales; Flags: recursesubdirs
;
;##############################################################################################################
